{% if saveas == "json" %}
    <script>
    let currentValue = $("#answer{{ name }}").val();
    let hiddenInput = $('<input>', {
        type: "hidden",
        name: "{{ name }}",
        id: "jsonjdata{{ name }}",
        'class': 'hidden',
    });
    $(hiddenInput).insertAfter($("#answer{{ name }}"));
    if($("#answer{{ name }}").val()) {
        $("#jsonjdata{{ name }}").val(JSON.stringify({ 'id': $("#answer{{ name }}").val(), 'text': $("#answer{{ name }}").find("option:selected" ).text() }));
    }
    $("#answer{{ name }}").on('change', function() {
        if ($(this).val()) {
            $("#jsonjdata{{ name }}").val(JSON.stringify({ 'id': $(this).val(), 'text': $(this).find("option:selected" ).text() }));
        } else {
            $("#jsonjdata{{ name }}").val("");
        }
    });
    </script>
{% endif %}

